|=====================
|Fonctions d'excution
|=====================
.macro MACRO_MathType B_fnum,B_integer,B_boolean,B_string,optimized_type,change_ptr=FALSE
   moveq.l   #\B_fnum,%d0
   moveq.l   #\B_integer,%d1
   moveq.l   #\B_boolean,%d2
   moveq.l   #\B_string,%d3
   moveq.l   \optimized_type,%d4
   .if         \change_ptr
     jbsr      TokensExec_MathType2_Next
   .else
     jbsr      TokensExec_MathType_Next
   .endif
.endm

.macro MACRO_SimpleType B_fnum,B_integer,B_boolean,B_string,optimized_type
   moveq.l   #\B_fnum,%d0
   moveq.l   #\B_integer,%d1
   moveq.l   #\B_boolean,%d2
   moveq.l   #\B_string,%d3
   moveq.l   \optimized_type,%d4
   movea.l   %a5,%a2
   jbsr      TokensExec_ConvertOneType
.endm

.macro MACRO_ConvertType ntype,nStartES,StackES=%a5
   move.b    \nStartES+1(\StackES),%d0
   move.b    \ntype,%d1
   .if       \nStartES
     lea.l     \nStartES(\StackES),%a2
   .else
     movea.l   \StackES,%a2
   .endif
   jbsr      TokensExec_ConvertType
.endm

.macro MACRO_Func_CheckArg narg
   jbsr      TokensExec_NumArg
   moveq.l   \narg,%d0
   jbsr      TokensExec_CheckArg
.endm

.macro MACRO_Cmd_CheckArg narg
   jbsr      TokensExec_CNumArg
   moveq.l   \narg,%d0
   jbsr      TokensExec_CheckArg
.endm
